*DECK LIBXS3
      SUBROUTINE LIBXS3 (NAMFIL,NGRO,IENERG)
*
*-----------------------------------------------------------------------
*
*Purpose:
* recover energy group information from an APOLIB-XSM library
*
*Copyright:
* Copyright (C) 2014 Ecole Polytechnique de Montreal
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version
*
*Author(s): A. Hebert
*
*Parameters: input
* NAMFIL  name of the APOLIB-XSM file
*
*Parameters: output
* NGRO    number of energy groups
* IENERG  SETARA pointer of the energy mesh limit array
*
*-----------------------------------------------------------------------
*
*----
*  Subroutine arguments
*----
      INTEGER NGRO,IENERG
      CHARACTER NAMFIL*(*)
*----
*  Local variables
*----
      INTEGER IPAP
      COMMON RBASE(1)
*
      CALL LCMOP(IPAP,NAMFIL,2,2,0)
      CALL LCMSIX(IPAP,'PMAIL',1)
      CALL LCMLEN(IPAP,'E',NV,ITYLCM)
      NGRO=NV-1
      CALL SETARA(RBASE,NGRO+1,IENERG)
      CALL LCMGET(IPAP,'E',RBASE(IENERG))
      DO 130 IG=1,NV
  130 RBASE(IENERG+IG-1)=RBASE(IENERG+IG-1)*1.0E6
      CALL LCMSIX(IPAP,' ',2)
      CALL LCMCL(IPAP,1)
      RETURN
      END
